1. 支付接入
简体中文
  • English
  • 简体中文
  • TLY Pay API
    • 快速开始
    • HTTP 约定和支付状态
    • Webhook 验签和恢复
    • 支付接入
      • 创建 Payment
        POST
      • 查询 Payment 状态
        GET
      • 取消 Payment
        POST
      • 关闭 Checkout 访问
        DELETE
      • 检查计价配置
        GET
      • 配置 Webhook
        POST
      • 验证 Webhook 签名密钥
        POST
  • Schemas
    • BootstrapWebhook
    • CreatePayment
    • CreatedPayment
    • ErrorResponse
    • MerchantPaymentView
    • MerchantSourceAmountView
    • MerchantStoreSourceView
    • MerchantStoreView
    • OneTimeSecretResponse
    • SourceAmount
    • VerifyWebhookBinding
    • WebhookBindingView
  1. 支付接入

查询 Payment 状态

GET
/v1/payments/{payment_id}
需要 API 密钥具备 payment:read 作用域.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200OK
application/json
当前 API 密钥可访问的权威 Payment
Headers

Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/payments/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "activated_at": "2019-08-24T14:15:22.123Z",
    "created_at": "2019-08-24T14:15:22.123Z",
    "order_ref": "string",
    "payment_expires_at": "2019-08-24T14:15:22.123Z",
    "payment_id": "string",
    "source_amount": {
        "amount_raw": "string",
        "currency": "string",
        "decimals": 0,
        "kind": "fiat"
    },
    "status": "string",
    "status_version": 0,
    "updated_at": "2019-08-24T14:15:22.123Z"
}
Previous
创建 Payment
Next
取消 Payment
Built with